=== debian/changelog ===
ros-galactic-ur-robot-driver (2.1.2-1focal) focal; urgency=high

  * Silence a compilation warning (#425 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/425>) (#427 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/427>)
  * Fix dependencies for galactic (#392 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/392>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-galactic-ur-robot-driver (2.1.1-1focal) focal; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 04 May 2022 22:00:00 -0000

ros-galactic-ur-robot-driver (2.1.0-1focal) focal; urgency=high

  * Updated package maintainers (#360 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/360>)
  * Add resource files from ROS World. (#226 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/226>)
  * Add sphinx documentation (#340 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/340>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Update ROS_INTERFACE.md to current driver (#335 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/335>)
  * Fix hardware interface names in error output (#329 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/329>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Correct link to calibration extraction (#310 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/310>)
  * Start the tool communication script if the flag is set (#267 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/267>)
  * Change driver constructor and change calibration check (#282 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/282>)
  * Use GPIO tag from URDF in driver. (#224 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/224>)
  * Separate control node (#281 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/281>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Do not print an error output if writing is not possible (#266 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/266>)
  * Update features.md (#250 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/250>)
  * Tool communication (#218 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/218>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)
  * Import transformation of force-torque into tcp frame from ROS1 driver (https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/blob/master/ur_robot_driver/src/hardware_interface.cpp). (#237 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/237>)
  * Make reading and writing work when hardware is disconnected (#233 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/233>)
  * Add missing command and state interfaces to get everything working with the fake hardware and add some comment into xacro file to be clearer. (#221 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/221>)
  * Decrease the rate of async tasks. (#223 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/223>)
  * Change robot type. (#220 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/220>)
  * Driver to headless. (#217 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/217>)
  * Test execution tests (#216 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/216>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Set start modes to empty. Avoid position ctrl loop on start. (#211 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/211>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Implement "choices" for robot_type param (#204 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/204>)
  * Calibration extraction package (#186 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/186>)
  * Add breaking api changes from ros2_control to hardware_interface (#189 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/189>)
  * Fix prepare and perform switch operation (#191 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/191>)
  * Update CI configuration to support galactic and rolling (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/142>)
  * Dockerize ursim with driver in docker compose (#144 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/144>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Converted io_test and switch_on_test to ROS2 (#124 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/124>)
  * Added loghandler to handle log messages from the Client Library with … (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/126>)
  * Removed dashboard client from hardware interface
  * [WIP] Updated feature list (#102 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/102>)
  * Moved Async check out of script running check (#112 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/112>)

